CLOCKPORT(4) | Device Drivers Manual (amiga) | CLOCKPORT(4)

# NAME

`clockport` —
introduction to clockport bus support and drivers

# SYNOPSIS

`clockport* at a1k2cp0`
`clockport* at gencp?`

# DESCRIPTION

Clockport is a general purpose non-autoconfiguring expansion bus, originally present on the Amiga 1200, as a part of P9 memory connector.

# SUPPORTED DEVICES

The NetBSD includes the following clockport drivers:

com(4)
  Individual Computers SilverSurfer 16C550-based serial port.

# CODE REFERENCES

The `clockport` interface and drivers for it are implemented within the sys/arch/amiga/clockport directory.

# SEE ALSO

amiga/a1k2cp(4)

# HISTORY

The `clockport` subsystem appeared in NetBSD 7.0.

# AUTHORS

The `clockport` subsystem was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

# CAVEATS

Clockport performance is very low, even by Amiga standards.

Probing the hardware on clockport might be unreliable.

February 17, 2017 | NetBSD 9.4